> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Data Deletion Request

> Creates a pending GDPR deletion request for the caller, a target employee (admin), or the whole company.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-data-deletion-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-data-deletion-request:
    post:
      operationId: createDataDeletionRequest
      summary: Create Data Deletion Request
      description: >-
        Creates a pending GDPR deletion request for the caller, a target
        employee (admin), or the whole company.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDataDeletionRequestRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateDataDeletionRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateDataDeletionRequestRequest:
      type: object
      properties:
        requestType:
          type: string
          enum:
            - EMPLOYEE
            - COMPANY
        reason:
          type: string
          maxLength: 2000
        employeeRoleInOrgID:
          type: string
          format: uuid
      required:
        - requestType
    CreateDataDeletionRequestResponse:
      type: object
      properties:
        dataDeletionRequestId:
          type: string
          format: uuid
        success:
          type: boolean
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
